Bug 853923 - DNF no have manpage and when type dnf show the yum help with yum name
DNF no have manpage and when type dnf show the yum help with yum name
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 06:27 EDT by xset1980
Modified: 2014-09-30 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: dnf-0.2.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:28:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xset1980 2012-09-03 06:27:47 EDT
Description of problem:

When type dnf, the command say the same, identic text that yum, so, is confused, dnf == yum?.

$dnf
You need to give some command
Usage: yum [options] COMMAND

The bug is that dnf and yum, say the same text, and... where say "Usage: yum...", the correct is "Usage: dnf..." when dnf is called.

And, when man dnf is typed, not found nothing.

Version-Release number of selected component (if applicable):

Fedora 18 TC5 KDE Spin Live CD i686
md5sum: b26a6da9d0ddbb0ed9e22212bd0f613d
How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ales Kozumplik 2012-09-10 08:47:56 EDT
Both your points are right. I will fix the synopsis text first and a new man page is coming later.
Comment 2 Ales Kozumplik 2012-09-11 08:02:39 EDT
The output of the help command is fixed now by commit 067d5f5.
Comment 3 Ales Kozumplik 2012-09-13 04:44:30 EDT
Basic man page is present as of commit 0069610.
Comment 4 Fedora Update System 2012-09-13 07:04:16 EDT
dnf-0.2.11-1.git9da1268.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dnf-0.2.11-1.git9da1268.fc18
Comment 5 Fedora Update System 2012-09-13 12:45:01 EDT
Package dnf-0.2.11-1.git9da1268.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.2.11-1.git9da1268.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13908/dnf-0.2.11-1.git9da1268.fc18
then log in and leave karma (feedback).
Comment 6 xset1980 2012-09-17 00:51:34 EDT
Tested dnf-0.2.11-1.git9da1268.fc18.noarch.
Fixed.
Comment 7 Fedora Update System 2012-09-17 19:28:22 EDT
dnf-0.2.11-1.git9da1268.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.